Page MenuHomePhabricator

mwe-upwiz-multi-file-select should guess the key name according to the OS automatically
Closed, ResolvedPublic

Description

The message says mwe-upwiz-multi-file-select says: "Hold down the Ctrl/Command key to make multiple non-adjacent selections".

It would be nicer to turn the key name into a parameter and fill it in runtime by identifying the user's operating system.

Event Timeline

Amire80 created this task.Sep 25 2015, 7:56 AM
Amire80 raised the priority of this task from to Low.
Amire80 updated the task description. (Show Details)
Amire80 added projects: I18n, UploadWizard.
Amire80 added a subscriber: Amire80.
Restricted Application added a project: Multimedia. · View Herald TranscriptSep 25 2015, 7:56 AM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 29 2015, 4:08 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 29 2015, 4:08 PM
matmarex added a subscriber: matmarex.

This can be done with 'jquery.client', $.client.profile().platform will give the information. It's already used in VisualEditor for platform-specific keyboard shortcuts.

Sn1per claimed this task.Dec 27 2015, 8:22 PM

Change 261164 had a related patch set uploaded (by Sn1per):
Use OS detection to display proper key for uw.ui.Upload Flickr selections

https://gerrit.wikimedia.org/r/261164

matmarex closed this task as Resolved.Dec 28 2015, 6:06 PM
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.

Change 261164 merged by jenkins-bot:
Use OS detection to display proper Ctrl/Cmd key for Flickr selections

https://gerrit.wikimedia.org/r/261164